Results 1 to 5 of 5

Thread: KOffice: Incompatible KDE Library

  1. #1

    Default KOffice: Incompatible KDE Library

    I just installed KOffice, and all components listed with it under Office-Suite, using YaST's Add/Remove Software and I receive this error whenever I try running KWord
    The plugin 'kwordpart' uses an incompatible kde library (4.71 (4.71)).
    . KWord then does not run.
    Does anyone know what might be causing this?

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,000
    Blog Entries
    14

    Default Re: KOffice: Incompatible KDE Library

    Please post output of
    Code:
    zypper lr -d
    My guess is the kOffice version does not match the installed KDE version.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: KOffice: Incompatible KDE Library

    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+-------------------------+----------------------------+---------+---------+----------+--------+-------------------------------------------------------------------------------------------------------+--------
    1 | Beta_Mozilla | Beta Mozilla | Yes | Yes | 99 | rpm-md | Index of /repositories/mozilla:/beta/openSUSE_11.4 |
    2 | KDE:Active | KDE:Active | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/Active/openSUSE_11.4 |
    3 | KDEistro:Factory | KDEistro:Factory | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/Distro:/Factory/openSUSE_11.4 |
    4 | KDE:Release:47 | KDE:Release:47 | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/Release:/47/openSUSE_11.4 |
    5 | KDE:Unstablelayground | KDE:Unstablelayground | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/Unstable:/Playground/openSUSE_11.4_KDE_Distro_Factory |
    6 | Packman Repository | Packman Repository | Yes | Yes | 99 | rpm-md | Index of /pub/mirrors/packman/suse/openSUSE_11.4/ |
    7 | openSUSE_11.4 | openSUSE_11.4 | Yes | Yes | 99 | rpm-md | Index of /repositories/mozilla/openSUSE_11.4 |
    8 | repo-debug | openSUSE-11.4-Debug | No | Yes | 99 | NONE | Index of /debug/distribution/11.4/repo/oss |
    9 | repo-debug-update | openSUSE-11.4-Update-Debug | No | Yes | 99 | NONE | Index of /debug/update/11.4 |
    10 | repo-non-oss | openSUSE-11.4-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/non-oss |
    11 | repo-oss | openSUSE-11.4-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/oss |
    12 | repo-source | openSUSE-11.4-Source | No | Yes | 99 | NONE | Index of /source/distribution/11.4/repo/oss |
    13 | repo-update | openSUSE-11.4-Update | Yes | Yes | 99 | rpm-md | Index of /update/11.4
    How would I make both versions correct?

  4. #4
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,145

    Default Re: KOffice: Incompatible KDE Library

    You cannot easily mix the Active, Distro-Factory, Unstable and Release repositories. They all contain different selections and builds of KDE with different version numbering schemes. If you want a working, as opposed to experimental, installation; I recommend disabling or removing repositories #2,#3, #5, and then updating to "KDE:Release:47"
    Code:
    zypper  rr 2 3 5
    zypper dup --from KDE:Release:47
    
    zypper install koffice2-kword

  5. #5
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: KOffice: Incompatible KDE Library

    On 09/04/2011 10:36 PM, mike999984 wrote:
    >
    >> # | Alias | Name | Enabled |
    >> Refresh | Priority | Type | URI
    >> | Service
    >> ---+-------------------------+----------------------------+---------+---------+----------+--------+-------------------------------------------------------------------------------------------------------+--------
    >> 1 | Beta_Mozilla | Beta Mozilla | Yes |
    >> Yes | 99 | rpm-md | 'Index of
    >> /repositories/mozilla:/beta/openSUSE_11.4' (http://tinyurl.com/6yc27xg)
    >> |
    >> 2 | KDE:Active | KDE:Active | Yes |
    >> Yes | 99 | rpm-md | 'Index of
    >> /repositories/KDE:/Active/openSUSE_11.4'
    >> (http://download.opensuse.org/reposit...openSUSE_11.4/)
    >> |
    >> 3 | KDEistro:Factory | KDEistro:Factory | Yes |
    >> Yes | 99 | rpm-md | 'Index of
    >> /repositories/KDE:/Distro:/Factory/openSUSE_11.4'
    >> (http://tinyurl.com/6agqr4j) |
    >> 4 | KDE:Release:47 | KDE:Release:47 | Yes |
    >> Yes | 99 | rpm-md | 'Index of
    >> /repositories/KDE:/Release:/47/openSUSE_11.4'
    >> (http://tinyurl.com/43s8os6) |
    >> 5 | KDE:Unstablelayground | KDE:Unstablelayground | Yes |
    >> Yes | 99 | rpm-md | 'Index of
    >> /repositories/KDE:/Unstable:/Playground/openSUSE_11.4_KDE_Distro_Factory'
    >> (http://tinyurl.com/42gnv6y) |
    >> 6 | Packman Repository | Packman Repository | Yes |
    >> Yes | 99 | rpm-md | 'Index of
    >> /pub/mirrors/packman/suse/openSUSE_11.4/'
    >> (http://ftp.uni-erlangen.de/pub/mirro.../openSUSE_11.4)
    >> |
    >> 7 | openSUSE_11.4 | openSUSE_11.4 | Yes |
    >> Yes | 99 | rpm-md | 'Index of
    >> /repositories/mozilla/openSUSE_11.4'
    >> (http://download.opensuse.org/reposit...openSUSE_11.4/)
    >> |
    >> 8 | repo-debug | openSUSE-11.4-Debug | No |
    >> Yes | 99 | NONE | 'Index of
    >> /debug/distribution/11.4/repo/oss'
    >> (http://download.opensuse.org/debug/d...11.4/repo/oss/)
    >> |
    >> 9 | repo-debug-update | openSUSE-11.4-Update-Debug | No |
    >> Yes | 99 | NONE | 'Index of /debug/update/11.4'
    >> (http://download.opensuse.org/debug/update/11.4/)
    >> |
    >> 10 | repo-non-oss | openSUSE-11.4-Non-Oss | Yes |
    >> Yes | 99 | yast2 | 'Index of /distribution/11.4/repo/non-oss'
    >> (http://download.opensuse.org/distrib.../repo/non-oss/)
    >> |
    >> 11 | repo-oss | openSUSE-11.4-Oss | Yes |
    >> Yes | 99 | yast2 | 'Index of /distribution/11.4/repo/oss'
    >> (http://download.opensuse.org/distrib...11.4/repo/oss/)
    >> |
    >> 12 | repo-source | openSUSE-11.4-Source | No |
    >> Yes | 99 | NONE | 'Index of
    >> /source/distribution/11.4/repo/oss'
    >> (http://download.opensuse.org/source/...11.4/repo/oss/)
    >> |
    >> 13 | repo-update | openSUSE-11.4-Update | Yes |
    >> Yes | 99 | rpm-md | 'Index of /update/11.4'
    >> (http://download.opensuse.org/update/11.4/)


    to me, it looks like your system administrator overlooked the paragraph
    in this guide which begins with "IMPORTANT", http://tinyurl.com/33qc9vu

    and, therefore the administrator missed the extremely good advice to
    "add other [reops] when ... you learn how to solve problems that may
    arise from having others. Until then, stick to only the 4 repositories."

    i'd say if your administrator disabled repos 1, 2, 3 and 5 (at least)
    and get back to applications and base in those, the subject problem of
    this thread will fade away.

    on the other hand if those repos are required, then it is incumbent on
    your system administrator to have the experience necessary to deal with
    the problems caused by enabling them..

    --
    DD
    Caveat
    openSUSE®, the "German Automobiles" of operating systems

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •